For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all appointments
        • POSTCancel Appointment (leads): ResMan - Not Supported
        • POSTCreate Lead Appointment: Resman
        • PUTUpdate Lead Appointment: Resman
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManAppointments

Create Lead Appointment: Resman

POST
/v1/events/appointments/leads/resman/
POST
/v1/events/appointments/leads/resman/
$curl -X POST https://api.propexo.com/v1/events/appointments/leads/resman/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-9f8b7c6d5e4a3b2c",
> "lead_id": "lead-1234567890abcdef",
> "lead_source_id": "source-0987654321fedcba",
> "appointment_date": "2024-07-20T14:00:00Z",
> "appointment_time": "14:00:00"
>}'
1{
2 "meta": {
3 "job_id": "job-abcdef1234567890"
4 },
5 "result": {
6 "integration_id": "intg-9f8b7c6d5e4a3b2c",
7 "lead_id": "lead-1234567890abcdef",
8 "lead_source_id": "source-0987654321fedcba",
9 "unit_id": "unit-1122334455667788",
10 "appointment_date": "2024-07-20T14:00:00Z",
11 "appointment_time": "14:00:00",
12 "notes": "Initial consultation appointment scheduled."
13 }
14}
ResMan interprets the appointment date and time as being UTC (offset of +00:00). The appointment date and time will be displayed in the timezone of the logged in user (not the property or portfolio account) in ResMan's portal. | Interface | Method | |---|---| | Lead Management | /MITS/PostLeadManagement4_0 | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Update Lead Appointment: Resman

Next
Built with

ResMan interprets the appointment date and time as being UTC (offset of +00:00). The appointment date and time will be displayed in the timezone of the logged in user (not the property or portfolio account) in ResMan’s portal.

InterfaceMethod
Lead Management/MITS/PostLeadManagement4_0
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lead_idstringRequired
The Propexo unique identifier for the lead
lead_source_idstringRequired
The Propexo unique identifier for the lead source
appointment_datestringRequired
The date when the appointment will occur
appointment_timestringRequiredformat: "(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)"

The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. The time is in the local time of the property/location.

unit_idstringOptional
The Propexo unique identifier for the unit
notesstringOptional
Notes associated with the event

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error